Šta je novo?
SerbianForum

Dobrodošli na SerbianForum.org, mjesto na kojem možete pronaći apsolutno sve, mjesto druženja i odlične zabave!

Sopkast plejer i Linux Mint 19

  • Začetnik teme MjstrHranislav
  • Datum pokretanja
M

MjstrHranislav

Član
Instalirao sam Sopkast plejer i sp-auth na Mint 19, ali ne dobijam strim ni iz plejera ni sa spoljnih linkova. Na predhodnim instalacijama u Debian i PC Linux Os je radilo bez problema. Da li ima neka caka ili tom programu polako prolazi vreme?
 
1

1mapstnod

Član
Instalirao sam... ali ne dobijam
Nažalost, ovo nije dovoljno za bilo kakvu dijagnozu. Na osnovu ovoga se može samo reći da ti "program ne radi", što već i sam znaš.
Moraćeš da pošallješ više podataka. Kako si instalirao program, da li si instalirao programe/biblioteke koje on zahteva, kakve su poruke od programa, da li postoji neki log programa i šta piše u njemu, da li si pogledao da li ima neka poruka u /var/log/messages,...

Na predhodnim instalacijama u Debian i PC Linux Os je radilo bez problema.
Ne postoji samo jedna verzija Debian-a i PC Linux-a. Na kojim verzijama je radio program?

... ili tom programu polako prolazi vreme?
U kom smislu "prolazi vreme"?
Dokle god u distribucijama postoje potrebne biblioteke za rad bilo kog programa, takav program bi trebalo da radi svoj posao.
 
M

MjstrHranislav

Član
Instalirao sam po uputstvu sa ovog linka :
http://ubuntuhandbook.org/index.php/2018/04/install-sopcast-player-ubuntu-18-04/
Znam da Ubuntu i Mint nisu baš potpuno identični, ali do sad je uspevalo sa nekim drugim plejerima.
Po uputstvima sa sajtova, uglavnom svugde napišu da treba prvo instalirati fajl sp-auth pa onda sopcat player.
Radio je Sopkast na PC Linux Os Mate iz 2017 godine, u Sinaptiku je bilo sve potrebno za instalaciju. Za Debian se ne sećam tačno koja verzija je bila, mislim da je domaći distro Trios u pitanju.

Ne nađem po logovima ništa korisno. Gui od plejera se pokrene i može da se apdejtuje lista kanala, ali ne prikazuje ni 1.
 
Poslednja izmena:
1

1mapstnod

Član
Znam da Ubuntu i Mint nisu baš potpuno identični
Nisu uopšte identični. To su totalno različite distribucije.

ali do sad je uspevalo sa nekim drugim plejerima.
Takvi slučajevi su samo sreća, a NE PRAVILO.

Po uputstvima sa sajtova, uglavnom svugde napišu da treba prvo instalirati fajl sp-auth pa onda sopcat player.
Da, ali da li napisali šta tvoj os treba da ima pre instalacije, da li su napisali šta treba da uradiš pre instalacije 32-bitnog programa na 64-bitni sistem, ...

Radio je Sopkast na PC Linux Os Mate iz 2017 godine
Operativni sistemi se definišu imenom i verzijom, a ne godištem (kao neki automobili).

Ne nađem po logovima ništa korisno. Gui od plejera se pokrene i može da se apdejtuje lista kanala, ali ne prikazuje ni 1.
GUI je samo frontend za sp-auth. Sp-auth je bitan, jer je strimovanje njegov posao. Da li si pročitao dokumentaciju (Readme) od sp-auth-a?

Probaj u terminalu da startuješ sp-auth (sp-sc) i vidiš na šta će da se požali.
 
ДраганЖ

ДраганЖ

Član
прво, Минт је у основи Убунту са другачијим радним окружењем и све што ради на Убунту радиће и на Минту - докле год се инстлирају пакети из истог складишта и у складу са жељеним радним окружењем. Разлика је настала само у томе што -Минт више не прати распоред изласка нових верзија Убунтуа већ се базира на стабилним издањима Убутнуа услед чега корисници могу да се погубе и да користе упутство за новију дистрибуцију у односу на ону коју имају инсталирану (мислим на Минт ).

А што се тиче самог проблема који има постављач теме, одговор се налази на крају упутства за инсталацију које је пратио :
"I can’t get access to any sopcast channels due to the Great Firewall, so I’m not sure if video streaming works."
 
1

1mapstnod

Član
прво, Минт је у основи Убунту са другачијим радним окружењем и све што ради на Убунту радиће и на Минту - докле год се инстлирају пакети из истог складишта и у складу са жељеним радним окружењем.
Hvala na ispravci.

Разлика је настала само у томе што -Минт више не прати распоред изласка нових верзија Убунтуа већ се базира на стабилним издањима Убутнуа услед чега корисници могу да се погубе и да користе упутство за новију дистрибуцију у односу на ону коју имају инсталирану (мислим на Минт ).
To je dovoljna razlika koja može napraviti probleme. Nažalost, većina korisnika koji uz win koriste linux kao drugi os je na isti prenela win navike: ne želi da čita dokumentaciju.

А што се тиче самог проблема који има постављач теме, одговор се налази на крају упутства за инсталацију које је пратио :
"I can’t get access to any sopcast channels due to the Great Firewall, so I’m not sure if video streaming works."
I dalje mislim da treba u terminalu da startuje sp-auth (sp-sc) i vidi na šta će da se požali.
 
ДраганЖ

ДраганЖ

Član
I dalje mislim da treba u terminalu da startuje sp-auth (sp-sc) i vidi na šta će da se požali.
Поента је да програм као програм ради али да не ради видео стриминг и то је нешто што је до самог програма- ту терминал неће и неможе ништа да покаже.
Просто аутори не одржавају програм како треба и програм више није функционалан.
 
1

1mapstnod

Član
Поента је да програм као програм ради али да не ради видео стриминг
Kako znaš da program radi, ako ne radi striming?
BTW, striming sa sp-sc u terminalu radi.

и то је нешто што је до самог програма- ту терминал неће и неможе ништа да покаже.
Program je "staromodan", jer zahteva 32bit-ne c++ biblioteke verzije 3.2 (libstdc++5) koje se uglavnom nalaze u starijim distribucijama, tj. iste su "izbačene" iz novijih distribucija.
Pokretanje sp-sc programa u terminalu bi pokazalo kakvo je stanje sa bibliotekama. Ili, još bolja varijanta, da se "direktno" proveri sa ldd programom.

Просто аутори не одржавају програм како треба и програм више није функционалан.
Autori su zapostavili program. To si apsolutno u pravu. No, i pored toga, program u adekvatnom okruženju funkcioniše.
 
ДраганЖ

ДраганЖ

Član
Kako znaš da program radi, ako ne radi striming?
BTW, striming sa sp-sc u terminalu radi.


Program je "staromodan", jer zahteva 32bit-ne c++ biblioteke verzije 3.2 (libstdc++5) koje se uglavnom nalaze u starijim distribucijama, tj. iste su "izbačene" iz novijih distribucija.
Pokretanje sp-sc programa u terminalu bi pokazalo kakvo je stanje sa bibliotekama. Ili, još bolja varijanta, da se "direktno" proveri sa ldd programom.


Autori su zapostavili program. To si apsolutno u pravu. No, i pored toga, program u adekvatnom okruženju funkcioniše.
Покушаћу да будем прецизнији - програм се покреће ау графичком окружењу али не функционише стриминг - који су разлози за то мене као корисника не интересује нити ме интересује да се бавим њиме на нивоу кода- ако не ради тај програм има других хоји ће да раде...
Ако су већ аутри одустали а нико се други није прихватио да га одржава при чему програм неможе да задовољи рад без додатних акробација онда се и не треба много цимати око тога осим уколико се нема довоно знања и воље да се направи извод и нека нова верзија која би радила...
 
1

1mapstnod

Član
... али не функционише стриминг - који су разлози за то мене као корисника не интересује нити ме интересује да се бавим њиме на нивоу кода- ако не ради тај програм има других хоји ће да раде...
Kao lični stav, ovo je verovatno dobro za tebe. I to je u redu.

Ipak, OP je otvorio temu sa:
Da li ima neka caka ili tom programu polako prolazi vreme?
Kao što je već gore spomenuto, (bez zalaženja u kod programa) caka ima, ali pre toga su potrebne još neke informacije.

Ако су већ аутри одустали а нико се други није прихватио да га одржава при чему програм неможе да задовољи рад без додатних акробација онда се и не треба много цимати око тога осим уколико се нема довоно знања и воље да се направи извод и нека нова верзија која би радила...
Da li je rešavanje ovog problema komplikovano, nepotrebno ili sl., o tome će OP odlučiti. U svakom slučaju, dobio je mogućnost da bira, kao i neki drugi članovi foruma koje ova problematika zanima.
 
Top